<?php
// $Id: template.php,v 1.38.2.3.2.3.2.8 2010/04/19 15:06:05 mverbaar Exp $

/**
 * Process variables for block.tpl.php.
 */
function inkribbon_preprocess_block(&$variables) {
  // Add useful classes for the block wrapper.
  $variables['classes'] = 'block block-' . $variables['block']->module;
}

/**
 * Process variables for comment.tpl.php.
 */
function inkribbon_preprocess_comment(&$variables) {
  // Add useful classes for the comment wrapper.
  $classes = array(
    'comment',
    $status,
  );
  if ($variables['comment']->new) {
    $classes[] = 'comment-new';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for node.tpl.php.
 */
function inkribbon_preprocess_node(&$variables) {
  // Add useful classes for the node wrapper.
  $classes = array(
    'node',
    'node-' . $variables['node']->type,
  );
  if ($variables['teaser']) {
    $classes[] = 'node-teaser';
  }
  if ($variables['sticky']) {
    $classes[] = 'node-sticky';
  }
  if (!$variables['status']) {
    $classes[] = 'node-unpublished';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for page.tpl.php.
 */
function inkribbon_preprocess_page(&$variables) {
  // Create the logo image.
  if ($variables['logo']) {
    $variables['logo'] = theme('image', str_replace(base_path(), '', $variables['logo']), t('!sitename logo', array(
        '!sitename' => $variables['site_name'],
      )
    ));
    // Link the logo to the frontpage if we're not on the frontpage.
    if (!$variables['is_front']) {
      $variables['logo'] = l($variables['logo'], '<front>', array(
        'html' => TRUE,
        'attributes' => array(
          'title' => t('Home'),
          'rel' => 'home',
        ),
      ));
    }
  }
  
  // Link the site name to the frontpage if we're not on the frontpage.
  if ($variables['site_name'] && !$variables['is_front']) {
    $variables['site_name'] = l($variables['site_name'], '<front>', array(
      'attributes' => array(
        'title' => t('Home'),
        'rel' => 'home',
      ),
    ));
  }
}
